Bug 15243 - %U for include directive doesn't work for share listing (netshareenum)
Summary: %U for include directive doesn't work for share listing (netshareenum)
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services (show other bugs)
Version: 4.16.7
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-11-16 10:32 UTC by Andreas Schneider
Modified: 2022-11-23 14:52 UTC (History)
3 users (show)

See Also:


Attachments
patch for 4.17 (6.14 KB, patch)
2022-11-21 09:14 UTC, Andreas Schneider
vl: review+
Details
patch for 4.16 (6.40 KB, patch)
2022-11-21 09:15 UTC, Andreas Schneider
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2022-11-16 10:32:59 UTC
Reproducer:

/etc/samba/smb.conf
[global]
  workgroup = SAMBA
  security = user
  passdb backend = tdbsam
  load printers = no

include = /etc/samba/%U.conf


/etc/samba/alice.conf
[alice-share]
    path = /tmp


# rpcclient ncacn_np:localhost -c netshareenum | grep alice_share



Patch will follow
Comment 1 Samba QA Contact 2022-11-18 19:18:03 UTC
This bug was referenced in samba master:

ce3d27a9f5a98b4680af5fb5a595b0e7e94f8c30
c213ead8c4c1b5287294a67e65f271fbb0b922b2
f03665bb7e8ea97699062630f2aa1bac4c5dfc7f
Comment 2 Andreas Schneider 2022-11-21 09:14:50 UTC
Created attachment 17665 [details]
patch for 4.17
Comment 3 Andreas Schneider 2022-11-21 09:15:17 UTC
Created attachment 17666 [details]
patch for 4.16
Comment 4 Jule Anger 2022-11-23 07:13:38 UTC
Pushed to autobuild-v4-{17,16}-test.
Comment 5 Samba QA Contact 2022-11-23 13:53:17 UTC
This bug was referenced in samba v4-16-test:

5ade6d20f35b6dc70f2b4449c72ddf67f924ff82
ef39898066c3dcdb5f11ca10ae037f2e404d514d
b11ceb58fee9442f4a1f113d5375273fe4357913
Comment 6 Samba QA Contact 2022-11-23 13:57:27 UTC
This bug was referenced in samba v4-17-test:

560805be8349bdaa8c7babec2042c4db80834246
969df4544534e43875d7421028223cf9b754c9c4
2c1b957433b8df8dae5a7d85dfa540fbe008c28d
Comment 7 Jule Anger 2022-11-23 14:52:42 UTC
Closing out bug report.

Thanks!